Payout
curl --request POST \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payout \
--header 'Content-Type: application/json' \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>' \
--data '
{
"request_id": "d44940a1-663b-4d92-91e7-65438e4bf80b",
"amount": "200",
"creditor_iban": "PK25ALFH0216001008658216"
}
'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payout"
payload = {
"request_id": "d44940a1-663b-4d92-91e7-65438e4bf80b",
"amount": "200",
"creditor_iban": "PK25ALFH0216001008658216"
}
headers = {
"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
request_id: 'd44940a1-663b-4d92-91e7-65438e4bf80b',
amount: '200',
creditor_iban: 'PK25ALFH0216001008658216'
})
};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"id": "44",
"token": "pm_2a8c2cfc-e61d-431e-a850-f1808405ca07",
"aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
"aggregator_merchant_id": "",
"qr_code_id": "",
"order_id": "",
"type": "PAYOUT",
"amount": "200",
"status": "P_INITIATED",
"uetr": "3335131b-b26c-41c6-a089-a3b4905dcc68",
"trace_reference": "2005867c-752f-430f-8619-a4c998423e3d",
"msg_id": "QAI8456FZ5NOR5H6ITEVK2U2NCD7POCSKQS",
"instr_id": "cb865267aec142d389f3ff728bb2492a",
"end_to_end_id": "3335131bb26c41c6a089a3b4905dcc68",
"pmt_inf_id": "",
"request_id": "d4659c62-2c4a-4e60-8dfa-cd504bf50cca",
"msg_created_at": "2025-10-02 11:03:11.041",
"expires_at": "1970-01-01T00:00:00Z",
"created_at": "2025-10-02T06:03:11Z",
"updated_at": "2025-10-02T06:03:11Z",
"txn_logs": [
{
"id": "35",
"type": "TLT_PAYMENT",
"payment_id": "pm_2a8c2cfc-e61d-431e-a850-f1808405ca07",
"status": "P_INITIATED",
"refund_id": "",
"settlement_id": "",
"txn_desc": "",
"addtl_info": "",
"token": "txnlog_b9679d70-8874-459b-ad55-28180c53f0b1",
"timestamp": "2025-10-02T06:03:11Z",
"iso_msg_type": "pain.013.001.09"
}
],
"payment_parties": [
{
"id": "87",
"token": "pp_6a71861c-2e6a-4355-957e-0b6d8e4d9a06",
"role": "ROLE_DEBITOR",
"payment_id": "pm_2a8c2cfc-e61d-431e-a850-f1808405ca07",
"bank_account_id": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
"bank_account": {
"id": "11",
"token": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
"vault_token": "lock_464309f2-572f-493f-8272-e503277b06fd",
"title": "SYED MUHAMMAD HAQANI",
"iban": "",
"redacted_iban": "PK84HABB************8594",
"hashed_iban": "TAQswoYYIJaiPH15TAS5+tnFe7yDOK0kWP2wgSXwi7k=",
"servicer": "HABBPKKARTG",
"bank": "",
"created_at": "2025-03-13T09:12:35Z",
"updated_at": "2025-03-13T09:12:35Z"
},
"created_at": "2025-10-02T06:03:11Z",
"updated_at": "2025-10-02T06:03:11Z"
},
{
"id": "88",
"token": "pp_42dd9241-794b-4fad-b4c2-ca8d88ce8ca6",
"role": "ROLE_CREDITOR",
"payment_id": "pm_2a8c2cfc-e61d-431e-a850-f1808405ca07",
"bank_account_id": "acc_9fd8d208-0e51-4869-87ea-12bbfc3a3ad6",
"bank_account": {
"id": "81",
"token": "acc_9fd8d208-0e51-4869-87ea-12bbfc3a3ad6",
"vault_token": "lock_124456f6-3e1d-4f31-8baa-ea914ed365f0",
"title": "Title-1 1008658216",
"iban": "",
"redacted_iban": "PK25ALFH************8216",
"hashed_iban": "7zWv4dnBcoTKS4/dyrbMSWlFKVuwNWVkVlKmeRiu7Us=",
"servicer": "ALFHPKKA",
"bank": "",
"created_at": "2025-09-22T09:42:41Z",
"updated_at": "2025-09-22T09:42:41Z"
},
"created_at": "2025-10-02T06:03:11Z",
"updated_at": "2025-10-02T06:03:11Z"
}
],
"qr_code": null,
"aggregator_merchant": null,
"refunds": [],
"settlement": null
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}{
"api_version": "v1",
"error": {
"code": "error.internal_server_error",
"message": "rpc error code Internal desc = something went wrong"
}
}Payments
Payout
Initiate a Raast payout to credit a beneficiary IBAN
POST
/
v1
/
aggregators
/
{raast-aggregator-id}
/
payout
Payout
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
Body
application/json
Request to initiate a payout
Was this page helpful?
⌘I